Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class Diagnostic

`java.lang.Object
oracle.jbo.common.Diagnostic`

public final class Diagnostic
extends java.lang.Object

The `Diagnostic` class contains static tracing methods. It uses an implementation of the IDiagnostic interface to perform output. The implementation chosen can be controlled via command line parameters or properties inside the file `/oracle/jbo/common/Diagnostic.properties`.

See the distributed version of this file in `{JDEVELOPER_HOME}/lib/jbomt.zip` for detailed documentation about the available options for controlling the appearance of trace messages.

Note that all the public functions are declared as static void: this is so that versions of the code could be produced which remove these calls at compile time.

This class cannot be directly instantiated.

Since:
  JDeveloper 2.0
See Also:
  `DebugDiagnostic`

Method Summary
`static void` | `ASSERT(boolean test)` Conditionally raises an exception.
`static void` | `ASSERT(boolean test, java.lang.String message)` Conditionally prints a warning method and raises an exception.
`static void` | `ASSERT(boolean test, java.lang.String msg, java.lang.Object[] param)` Conditionally prints a warning method.
`static IDiagnostic` | `getInstance()` Returns the IDiagnostic instance.
`static void` | `init(java.lang.String reason)` initializer that looks at the values of properties in Diagnostic.properties, and sets static state flags that control the details of the trace line
`static boolean` | `isOn()`
`static boolean` | `isOn(int level)`
`static boolean` | `isStopOnAssert()` Programmatic entrypoint to control program flow if an assertion fails.
`static void` | `print(java.lang.String message)` print a trace line to the diagnostic stream at the default diagnostic level.
`static void` | `print(java.lang.String message, int level)` print a trace line to the diagnostic stream, at the diagnostic level indicated.
`static void` | `println(java.lang.String message)` Prints a trace message line to the diagnostic device.
`static void` | `println(java.lang.StringBuffer message)` Prints a trace message line to the diagnostic device.
`static void` | `println(java.lang.String message, int level)` print a trace line to the diagnostic stream, at the diagnostic level indicated, and terminate it.
`static void` | `printStackTrace()` Prints a stack trace for the current environment.
`static void` | `printStackTrace(java.lang.Throwable ex)` Prints a stack trace for an exception.
`static void` | `setQuiet(boolean b)` Disables and enables the printing of diagnostic messages.
`static void` | `setStopOnAssert(boolean b)` Programmatic entrypoint to control program flow if an assertion fails.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static IDiagnostic getInstance()

  Returns the IDiagnostic instance.

### init

    public static void init(java.lang.String reason)

  initializer that looks at the values of properties in Diagnostic.properties, and sets static state flags that control the details of the trace line

### print

    public static void print(java.lang.String message,
                             int level)

  print a trace line to the diagnostic stream, at the diagnostic level indicated.
  Parameters:
    `message` - the text of the message
    `level` - the trace level to be associated with this message

### print

    public static void print(java.lang.String message)

  print a trace line to the diagnostic stream at the default diagnostic level.
  Parameters:
    `message` - the message to print
  See Also:
    `print(String)`

### println

    public static void println(java.lang.String message,
                               int level)

  print a trace line to the diagnostic stream, at the diagnostic level indicated, and terminate it.
  Parameters:
    `message` - the text of the message
    `level` - the trace level to be associated with this message

### println

    public static void println(java.lang.String message)

  Prints a trace message line to the diagnostic device.
  Parameters:
    `message` - the text to be printed.

### println

    public static void println(java.lang.StringBuffer message)

  Prints a trace message line to the diagnostic device.
  Parameters:
    `message` - the text to be printed.

### ASSERT

    public static void ASSERT(boolean test,
                              java.lang.String msg,
                              java.lang.Object[] param)

  Conditionally prints a warning method.

  The message is constructed from a format string and an array of parameters. An exception is raised if enabled by `setStopOnAssert()`.

  Parameters:
    `test` - the result of the test being asserted.
    `msg` - the message's format string.
    `param` - the array of message parameters.
  Throws:
    `JboAssert` - if `test` is `true`.

### ASSERT

    public static void ASSERT(boolean test,
                              java.lang.String message)

  Conditionally prints a warning method and raises an exception.

  An exception is raised if enabled by `setStopOnAssert()`.

  Parameters:
    `test` - the result of the test being asserted.
    `message` - the message.
  Throws:
    `JboAssert` - if `test` is `true`.

### ASSERT

    public static void ASSERT(boolean test)

  Conditionally raises an exception.

  An exception is raised if enabled by `setStopOnAssert()`.

  Parameters:
    `test` - the result of the test being asserted.
  Throws:
    `JboAssert` - if `test` is `true`.

### isOn

    public static boolean isOn()

### isOn

    public static boolean isOn(int level)

### setQuiet

    public static void setQuiet(boolean b)

  Disables and enables the printing of diagnostic messages.
  Parameters:
    `b` - if `false` (the default) diagnostic messages are printed, if `true`, diagnostic messages are suppressed.

### setStopOnAssert

    public static void setStopOnAssert(boolean b)

  Programmatic entrypoint to control program flow if an assertion fails. If it is set to true, then BC4J clients will receive an exception if an `ASSERT()` fails, otherwise a trace message is printed.
  Parameters:
    `b` - exception throw mode `true` or `false`
  See Also:
    `ASSERT(boolean)`

### isStopOnAssert

    public static boolean isStopOnAssert()

  Programmatic entrypoint to control program flow if an assertion fails. If it is set to true, then BC4J clients will receive an exception if an `ASSERT()` fails, otherwise a trace message is printed.
  See Also:
    `ASSERT(boolean)`

### printStackTrace

    public static void printStackTrace()

  Prints a stack trace for the current environment.

### printStackTrace

    public static void printStackTrace(java.lang.Throwable ex)

  Prints a stack trace for an exception.
  Parameters:
    `ex` - the exception to be traced.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.